From 2dceabec057140b08b0eab3cc0b86c9266c5b61e Mon Sep 17 00:00:00 2001
From: Min Chen <chenm003@163.com>
Date: Tue, 18 Oct 2022 20:24:14 +0800
Subject: [PATCH] [AARCH64] Support -DPIC as compiler option

---
 source/CMakeLists.txt | 3 +++
 1 file changed, 3 insertions(+)

diff --git a/source/CMakeLists.txt b/source/CMakeLists.txt
index 13e4750de..80f8e59a9 100755
--- a/source/CMakeLists.txt
+++ b/source/CMakeLists.txt
@@ -266,6 +266,9 @@ if(GCC)
             add_definitions(-DHAVE_NEON)
         endif()
     endif()
+    if(ENABLE_PIC)
+        list(APPEND ARM_ARGS -DPIC)
+    endif()
     add_definitions(${ARM_ARGS})
     if(FPROFILE_GENERATE)
         if(INTEL_CXX)
-- 
2.35.1.windows.2

